---
id: named-entity
title: NamedEntity
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type NamedEntity {
  id: ID!
  external_ids: [ID]
  type: String!
  value: String!
  mentionedInAbstracts(
    first: Int = 0
    offset: Int = 0
    orderBy: [_AbstractMentionsOrdering] = []
    filter: _NamedEntityAbstractMentionsFilter
  ): [_NamedEntityMentionedInAbstracts]
  _id: String
}
```

### Fields

#### `id` ([`ID!`](/docs/api/scalars/id))

#### `external_ids` ([`[ID]`](/docs/api/scalars/id))

#### `type` ([`String!`](/docs/api/scalars/string))

#### `value` ([`String!`](/docs/api/scalars/string))

#### `mentionedInAbstracts` ([`[_NamedEntityMentionedInAbstracts]`](/docs/api/objects/named-entity-mentioned-in-abstracts))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_AbstractMentionsOrdering]`](/docs/api/enums/abstract-mentions-ordering))

- ##### `filter` ([`_NamedEntityAbstractMentionsFilter`](/docs/api/inputs/named-entity-abstract-mentions-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
